Subject: bug#1746: Buffer swapping interface

From: Chong Yidong <[email-masked]>
Date: Tue, 30 Dec 2008 21:20:53 -0500

RMS has proposed changing the internals of the buffer saving interface
to make them aware of swapped buffers, by introducing a new variable
buffer-swapped-with that client code can set; basic-save-buffer then
checks this variable before saving, and temporarily swaps the buffer if
necessary.  See the following CVS diff:

http://cvs.savannah.gnu.org/viewvc/emacs/lisp/files.el?root=emacs&r1=1.1029&r2=1.1030

Stefan has objections to this patch on the grounds that it makes the
buffer saving internals more complicated, instead of relying on existing
hooks as tar-mode does.  In any case, the patch was reverted pending the
23.1 release.